View Issue Details

IDProjectCategoryView StatusLast Update
0000596Cinelerra-GG[All Projects] Bugpublic2021-12-01 01:32
Reportersparkillay Assigned ToPhyllisSmith  
PrioritynormalSeveritycrashReproducibilityalways
Status acknowledgedResolutionopen 
PlatformLinuxOSBodhi Linux 18.04OS Version5.1 32bits i386
Product Version 
Target VersionFixed in Version 
Summary0000596: Crash when uploading files-video cin gg 32bits
Descriptionerror while loading shared libraries: libva.so.1
Rename:
 libva.so.2 to libva.so.1
 libva-x11.so.2 to libva-x11.so.1
 libva-drm.so.2 to libva-drm.so.1

I got into the interface but I can't upload files.
I can render video, upload images and upload audio.

I can't upload video.
codecs tried:

H264
VP8
MPEG2video

I use the November and October version appimage i386.


Steps To ReproduceUpload any video.
Additional InformationMy computer is old but I only use it to support 32-bit distributions.
TagsLoad Files

Activities

PhyllisSmith

PhyllisSmith

2021-12-01 01:32

manager   ~0005192

@sparkillay
I have not given up on this issue but we may lack the expertise to get 32-bit for Debian Bullseye going.
So far I have been able to build/compile CinGG on Bullseye but it crashes on loading a video in guicast/thread.C almost immediately. Will keep trying to find a solution before giving up.
sparkillay

sparkillay

2021-11-17 04:14

reporter   ~0005190

@PhyllisSmith
I already stopped using ubuntu 18.04.

now I use Debian bullseye 32bits! :)
I am not a debian user. but they still maintain 32bit support.
it is perfect for my tests.
Andrew-R

Andrew-R

2021-11-15 23:51

reporter   ~0005186

@PhyllisSmith also on network cobfiguration in console in Debian 10
https://linuxhint.com/advanced-network-configuration-debian-10/
{might contain ads}
Andrew-R

Andrew-R

2021-11-15 23:46

reporter   ~0005185

@PhyllisSmith
https://forums.debian.net/viewtopic.php?p=701261

this forum suggest to check /etc/network/interfaces

(on debian 9)
there are few ways to set up networking, and they can
step on each other toes, it seems
PhyllisSmith

PhyllisSmith

2021-11-15 22:02

manager   ~0005184

@sparkillay
The good news is that I can now easily duplicate the error on a Debian Bullseye system -- it seems that "seek failure" is the problem. So must not be able to handle the in 11.x.

The bad news is that after successfully installing Bullseye from the base CD-ROM media, I can not install any of the necessary packages in order to compile CinGG there because I can not get out to the internet. The network is pinging my other local computers so there is just some minor problem. But it seems to be insurmountable for me as I have been trying for 4 days now and comparing to Debian 9 and 10 which were not set up by me so they work just fine.

P.S. This was the first linux installation I have done since 20 years ago! sure is very easy these days.
PhyllisSmith

PhyllisSmith

2021-11-09 22:34

manager   ~0005162

Just an update -- today I have installed Debian Bullseye 32-bit on an old computer using the DVD/iso to see if I can generate the same problems. However, I have not been able to get the network going "yet" so unable to install of the the necessary packages. Will continue working on it today and tomorrow.
sparkillay

sparkillay

2021-11-09 01:44

reporter   ~0005160

@Andrew-R
Also. I can upload yuv420p videos. Proxies also fail.
Andrew-R

Andrew-R

2021-11-09 01:02

reporter   ~0005159

@PhyllisSmith, I think I tried to bypass those functions and sadly next crash was on timeline itself, and configuring video track for not showing those miniature frames was not very helpful too (
so, I concluded problem lies somewhere between those functions we see in stacktrace .. but I still have no idea where
PhyllisSmith

PhyllisSmith

2021-11-08 23:43

manager   ~0005158

@Andrew-R
Yes, I will document this in the Manual and the Readme.
@sparkillay
Based on your "gdb bt full", where the backtrace mentions "AssetPicon::create_objects", I wonder if the problem of the not loading videos actually occurs when updating the icons in the Resources Window . It has led to quite a few bugs in the past. What do you think Andrew?

Anyway, another wild guess: in the Resources window, (1) right mouse click in an empty spot (2) when a list of options comes up, click on the "Display text". You may have to cycle through this menu several times as there are 4 different options -- or on an empty spot in the Resources window, just keyin v (the letter v) until you see only text and no picture icons). Then try to load the videos that do not work.
Andrew-R

Andrew-R

2021-11-08 21:46

reporter   ~0005157

@sparkillay, yeah, backtrace also look very much like one I got in qemu (with default virtualized cpu type) or on real pentium-3...

@PhyllisSmith,
https://github.com/prusa3d/PrusaSlicer/issues/900
https://avidemux.org/smif/index.php?topic=18510.0

according to those we better to document this.. appimage dependency. Apparently digikam appimage bundkes opengl libs as appimage but this can bite during driver updates or on different distro ...

so my suggestion is to document this. Apparently appimage itself is not bullet-proof solution to various binary incompatibilities at very low-level (and hw acceleration requires diving that deep)
sparkillay

sparkillay

2021-11-08 21:25

reporter   ~0005156

@Andrew-R

Sorry for the delay. I did not understand what BT Full and never use Qemu.
I will try to use Qemu.

gdb bt full (6,919 bytes)
[email protected]:~/Descargas$ gdb ./cin_for_32bit_3.AppImage
GNU gdb (Ubuntu 8.1.1-0ubuntu1) 8.1.1
Copyright (C) 2018 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i686-linux-gnu".
Type "show configuration" for configuration details.
Para las instrucciones de informe de errores, vea:
<http://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
<http://www.gnu.org/software/gdb/documentation/>.
For help, type "help".
Type "apropos word" to search for commands related to "word"...
Leyendo símbolos desde ./cin_for_32bit_3.AppImage...(no se encontraron símbolos de depuración)hecho.
(gdb) run
Starting program: /home/sparkill/Descargas/cin_for_32bit_3.AppImage
[Depuración de hilo usando libthread_db enabled]
Using host libthread_db library "/lib/i386-linux-gnu/libthread_db.so.1".
process 6992 is executing new program: /tmp/.mount_cin_foDt4kPp/usr/bin/cin
[Depuración de hilo usando libthread_db enabled]
Using host libthread_db library "/lib/i386-linux-gnu/libthread_db.so.1".
Cinelerra Infinity - built: Nov  5 2021 16:02:13
git://git.cinelerra-gg.org/goodguy/cinelerra.git
(c) 2006-2019 Heroine Virtual Ltd. by Adam Williams
2007-2020 mods for Cinelerra-GG by W.P.Morrow aka goodguy
Cinelerra is free software, covered by the GNU General Public License,
and you are welcome to change it and/or distribute copies of it under
certain conditions. There is absolutely no warranty for Cinelerra.

aviso: Error reading shared library list entry at 0xffff9360
aviso: Error reading shared library list entry at 0x7e70
aviso: Error reading shared library list entry at 0xc0
aviso: Error reading shared library list entry at 0x6f0
[Nuevo Thread 0xad1b0b40 (LWP 7001)]
aviso: Error reading shared library list entry at 0x11f0
[Nuevo Thread 0xac73ab40 (LWP 7002)]
aviso: Error reading shared library list entry at 0xffffab10
[Nuevo Thread 0xab569b40 (LWP 7006)]
[Nuevo Thread 0xaad68b40 (LWP 7007)]
[Nuevo Thread 0xaa567b40 (LWP 7008)]
[Nuevo Thread 0xa9d66b40 (LWP 7009)]
[Nuevo Thread 0xa9565b40 (LWP 7010)]
[Nuevo Thread 0xa8d64b40 (LWP 7011)]
[Nuevo Thread 0xa81ffb40 (LWP 7012)]
[Nuevo Thread 0xa79feb40 (LWP 7013)]
[Nuevo Thread 0xa71fdb40 (LWP 7014)]
[Nuevo Thread 0xa69fcb40 (LWP 7015)]
[Nuevo Thread 0xa61fbb40 (LWP 7016)]
[Nuevo Thread 0xa59fab40 (LWP 7017)]
[Nuevo Thread 0xa51f9b40 (LWP 7018)]
[Nuevo Thread 0xa49f8b40 (LWP 7019)]
[Nuevo Thread 0xa41f7b40 (LWP 7020)]
[Nuevo Thread 0xa39f6b40 (LWP 7021)]
[Nuevo Thread 0xa31f5b40 (LWP 7022)]
[Nuevo Thread 0xa29f4b40 (LWP 7023)]
[Nuevo Thread 0xa21f3b40 (LWP 7024)]
[Nuevo Thread 0xa19f2b40 (LWP 7025)]
[Nuevo Thread 0xa11f1b40 (LWP 7026)]
[Nuevo Thread 0xa09f0b40 (LWP 7027)]
[Nuevo Thread 0xa01efb40 (LWP 7028)]
[Nuevo Thread 0x9f9eeb40 (LWP 7029)]
[Nuevo Thread 0x9f1edb40 (LWP 7030)]
[Nuevo Thread 0x9e9ecb40 (LWP 7031)]
[Nuevo Thread 0x9e1ebb40 (LWP 7032)]
[Nuevo Thread 0x9d9eab40 (LWP 7033)]
[Thread 0xac73ab40 (LWP 7002) terminado]
[Nuevo Thread 0xac73ab40 (LWP 7034)]
[Nuevo Thread 0x9d1e9b40 (LWP 7035)]
[Nuevo Thread 0x9c9e8b40 (LWP 7036)]
[Nuevo Thread 0x9c1e7b40 (LWP 7037)]
[Nuevo Thread 0x9b9e6b40 (LWP 7038)]
[Nuevo Thread 0x9b1e5b40 (LWP 7039)]
[Nuevo Thread 0x9a9e4b40 (LWP 7040)]
[Nuevo Thread 0x9a1e3b40 (LWP 7041)]
[Nuevo Thread 0x999e2b40 (LWP 7042)]
[Nuevo Thread 0x991e1b40 (LWP 7043)]
[Nuevo Thread 0x989e0b40 (LWP 7044)]
[Nuevo Thread 0x981dfb40 (LWP 7045)]
[Nuevo Thread 0x979deb40 (LWP 7046)]
[Nuevo Thread 0x971ddb40 (LWP 7047)]
[Nuevo Thread 0x969dcb40 (LWP 7048)]
[Thread 0x9e1ebb40 (LWP 7032) terminado]
[Thread 0x9d9eab40 (LWP 7033) terminado]
[Thread 0x9e9ecb40 (LWP 7031) terminado]
[Thread 0x9f1edb40 (LWP 7030) terminado]
[Nuevo Thread 0x9f1edb40 (LWP 7049)]
[Nuevo Thread 0x9e9ecb40 (LWP 7050)]
[Nuevo Thread 0x9d9eab40 (LWP 7051)]
[Nuevo Thread 0x9e1ebb40 (LWP 7052)]
[Thread 0x9d9eab40 (LWP 7051) terminado]
[Thread 0x9e1ebb40 (LWP 7052) terminado]
[Nuevo Thread 0x9e1ebb40 (LWP 7053)]
[Nuevo Thread 0x9d9eab40 (LWP 7054)]
[Thread 0x9d9eab40 (LWP 7054) terminado]
[Nuevo Thread 0x9d9eab40 (LWP 7055)]
audio0 pad 4 0 (4)
[Thread 0x9d9eab40 (LWP 7055) terminado]
[Thread 0x9e1ebb40 (LWP 7053) terminado]
[Nuevo Thread 0x9e1ebb40 (LWP 7056)]
[Nuevo Thread 0x9d9eab40 (LWP 7058)]
[Thread 0x9d9eab40 (LWP 7058) terminado]
[Thread 0x9e9ecb40 (LWP 7050) terminado]
[Thread 0x9f1edb40 (LWP 7049) terminado]

Thread 32 "AppRun" received signal SIGSEGV, Segmentation fault.
[Cambiando a Thread 0xac73ab40 (LWP 7034)]
0x00cd501a in BC_Xfer::xfer_rgb888_to_bgr8888(unsigned int, unsigned int) ()
(gdb) bt full
#0  0x00cd501a in BC_Xfer::xfer_rgb888_to_bgr8888(unsigned int, unsigned int)
    ()
No symbol table info available.
#1  0x00cadafe in BC_Xfer::xfer_slices(int) ()
No symbol table info available.
#2  0x00caefe1 in BC_CModels::transfer(unsigned char**, unsigned char**, unsigned char*, unsigned char*, unsigned char*, unsigned char*, unsigned char*, unsigned char*, int, int, int, int, int, int, int, int, int, int, int, int, int) ()
No symbol table info available.
#3  0x00c38ed1 in BC_Bitmap::read_frame(VFrame*, int, int, int, int, int, int, int, int, int) ()
No symbol table info available.
#4  0x00c927ce in BC_WindowBase::draw_vframe(VFrame*, int, int, int, int, int, int, int, int, BC_Pixmap*) ()
No symbol table info available.
#5  0x00c5dca6 in BC_Pixmap::draw_vframe(VFrame*, int, int, int, int, int, int)
    ()
No symbol table info available.
#6  0x00961364 in AssetPicon::create_objects() ()
No symbol table info available.
#7  0x00964337 in AWindowGUI::update_asset_list() ()
No symbol table info available.
#8  0x0096479c in AWindowGUI::update_assets() ()
---Type <return> to continue, or q <return> to quit---
No symbol table info available.
#9  0x00964ae9 in AWindowGUI::receive_custom_xatoms(XClientMessageEvent*) ()
No symbol table info available.
#10 0x00c8e200 in BC_WindowBase::dispatch_event() ()
No symbol table info available.
#11 0x00c8e9c1 in BC_WindowBase::run_window() ()
No symbol table info available.
#12 0x0096705e in AWindow::run() ()
No symbol table info available.
#13 0x00c9d38f in Thread::entrypoint(void*) ()
No symbol table info available.
#14 0xb7cb23bd in start_thread (arg=0xac73ab40) at pthread_create.c:463
        pd = 0xac73ab40
        now = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {-1211330560, -1401705664,
                -1211330560, -1401707608, -1734085153, -375338008},
              mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0},
            data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = 0
#15 0xb764ac96 in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:108
No locales.
(gdb)
gdb bt full (6,919 bytes)
Andrew-R

Andrew-R

2021-11-08 21:25

reporter   ~0005155

re: libglu
Apparently both avidemux appimage or even Nuke had this problem:
https://support.foundry.com/hc/en-us/articles/360012491799-Q100568-Nuke-not-launching-with-error-Failed-to-load-libstudio-so-libGLU-so-1

while this library not blacklisted it seems to depend on other opengl libs and those are blacklisted from inclusion in appimage (because they not portable to different environments)..

@sparkillay, not sure how exactly it fail - like it gives few frames out with stated cpu load and then fail, or it fail on very first load, before media miniature appear in resources and timeline video tracks populated with miniature video frames/icons?
sparkillay

sparkillay

2021-11-08 21:09

reporter   ~0005154

@PhyllisSmith

I saw a change.

x11 videos load 20% and 40% then cinelerra fails.

I used X11-OpenGL 20-80% then cinelerra fails.
PhyllisSmith

PhyllisSmith

2021-11-08 20:24

manager   ~0005153

@sparkillay
I am reviewing all of the notes now to try to understand better.

In ubuntu 18.04, for the videos that fail to load, next time you have a chance to run Cinelerra there, use the
1) file pulldown: Settings->Preferences, Playback A tab, change the checkbox of "Use direct x11 render if possible" to be unchecked.
2) go to Interface tab and click on "Delete existing indexes". Then click on OK to get out of menu.
3) try to load one of the failed video again and see if that makes a difference
sparkillay

sparkillay

2021-11-08 19:58

reporter   ~0005152

@PhyllisSmith

I found
error while loading shared libraries: libGLU.so.1: cannot open shared object: No such file or directory

Could this also be the problem?

I already had it but in a new installation it came out.

using libglu1-mesa solves it. But I'm not sure.
sparkillay

sparkillay

2021-11-06 15:04

reporter   ~0005146

@Andrew-R
Thanks for your suggestions.

I tried but no change.
I get the rawaudio option.

https://cinelerra-gg.org/download/CinelerraGG_Manual/Speed_up_Ffmpeg_plugin_usag.html

this seems to work.
if I put yuv420p it fails
if I change to yuv444p it works but distorted.

I still don't understand format and codec.

https://cinelerra-gg.org/download/CinelerraGG_Manual/Raw_Input_Opts_File_Video_A.html
Andrew-R

Andrew-R

2021-11-06 04:37

reporter   ~0005145

@sparkillay, may be you can test workaround I just imagined?

https://cinelerra-gg.org/download/CinelerraGG_Manual/Speed_up_Ffmpeg_plugin_usag.html

what about testing opposite of this workaround?

Like add this line to opts file named exactly like your media file but with .opts extension..

video_filter=format=yuv444p # where xxxxxx is the desired filter. May be it will preven crash at expense of speed....
sparkillay

sparkillay

2021-11-06 03:50

reporter   ~0005144

@Andrew-R

Yes, I rendered a video in yuv4:4:4 and it worked on loading.
Render the same video to yuv4:2:0 and crash on loading.
sparkillay

sparkillay

2021-11-06 03:27

reporter   ~0005143

@Andrew-R

if I use the option ffmpeg obs2youtube.mp4 on my 64-bit pc and I transfer the video to 32 bits. It runs smoothly.

I have to do more tests but this method works.
sparkillay

sparkillay

2021-11-06 03:14

reporter   ~0005142

@PhyllisSmith
1. Yes, in virtual box it worked. adding libilmbase12 and libopenexr22

- your latest appimage, it works without problems. Debian bullseye and Ubuntu 18.04 :D!
- I still have crashes when loading some videos on the old pc. but the appimage works fine.

2. I already did and these are the results.
sparkillay

sparkillay

2021-11-06 03:14

reporter  

Screen_video_fail.mp4 (322,370 bytes)
simplescreenrecorder-2021-11-05_22.10.34.mp4 (630,702 bytes)
Andrew-R

Andrew-R

2021-11-05 23:43

reporter   ~0005141

@sparkillay, it seems working vids have different yuv setting (4:4:4, no subsampling), compared to non-working ones... I did all my tests in different bug with 4:2:0 samples from samples. mplayerhq.hu
Andrew-R

Andrew-R

2021-11-05 23:38

reporter   ~0005140

@PhyllisSmith, for ssse3:

try 'cat /proc/cpuinfo' , it will give list of extension supported by your cpu..

for ilmbase still linked to Cin - try to disable BOTH ilmbase and openexr, and as last resort remove from build machine's system those two development packages.. ('apt search ilmbase' , look for installed ilmbase, apt remove -devel package, repeat for openexr)

sorry for trouble...
PhyllisSmith

PhyllisSmith

2021-11-05 22:58

manager   ~0005139

@Andrew-R
I added --disable-ilmBase to the configure line and the log reports "ilmbase disabled" but the ldd on bin/cin still has libIlmImf-2_2.so.22 so I resorted to deleting any lines in configure.ac that looked like they contained related Ilm parts. Very messy.

@sparkillay
1) Is the following correct? If I understand your last note, you are saying that yesterday's AppImage starts up everywhere you need it to and loads many videos as expected?
2) If the videos that do not load were tried on a bad AppImage, they may have created bad index files that still exist. When you have time, please use a default startup so that the index files are automatically recreated. To do this easily, instead of starting AppImage like: ./cin_for_32bit.AppImage use the following:
      CIN_CONFIG=/tmp/temporary_bcast5 ./cin_for_32bit.AppImage
Then try loading the failed mkv files for which you did mediainfo. If they still fail, could you send a really small one that fails so I can try it on the 32-bit system here.

Also, I created 1 more AppImage where libIlmImf-2_2.so.22 no longer shows in the ldd. BUT it sounds like you no longer have that issue so not sure if you want to bother trying it unless the mkv failed files still fail. It is at:
     https://cinelerra-gg.org/download/testing/cin_for_32bit_2.AppImage
sparkillay

sparkillay

2021-11-05 18:48

reporter   ~0005138

@Andrew-R

I will try later.

For now it works.

I had no problems on virtualbox Debian bullseye .

Just install libilmbase12 and libopenexr22
https://stackoverflow.com/questions/64738243/problem-with-imagemagick-after-upgrading-ubuntu-to-20-04

I can render and upload videos in different formats without problems.

this error disappeared.
gdb does not show any problems.

error while loading shared libraries: libIlmImf-2_2.so.22: cannot open shared object file: No such file or directory

try the same now on liveCD debian bullseye
It worked but when loading some videos it returns "Segment violation"

Now upload the mediainfo of the files.

some formats work and others don't.
When cinelerra decodes them, it closes.
sparkillay

sparkillay

2021-11-05 18:48

reporter  

Video_work (7,751 bytes)
[email protected]:~/Vídeos$ mediainfo Video_Work.mp4
General
Complete name                            : Video_Work.mp4
Format                                   : MPEG-4
Format profile                           : Base Media
Codec ID                                 : isom (isom/iso2/avc1/mp41)
File size                                : 499 KiB
Duration                                 : 6 s 358 ms
Overall bit rate mode                    : Variable
Overall bit rate                         : 644 kb/s
Writing application                      : Lavf58.76.100

Video
ID                                       : 1
Format                                   : AVC
Format/Info                              : Advanced Video Codec
Format profile                           : High 4:4:4 [email protected]
Format settings                          : CABAC / 4 Ref Frames
Format settings, CABAC                   : Yes
Format settings, ReFrames                : 4 frames
Codec ID                                 : avc1
Codec ID/Info                            : Advanced Video Coding
Duration                                 : 6 s 334 ms
Bit rate                                 : 329 kb/s
Width                                    : 640 pixels
Height                                   : 360 pixels
Display aspect ratio                     : 16:9
Frame rate mode                          : Constant
Frame rate                               : 30.000 FPS
Color space                              : YUV
Chroma subsampling                       : 4:4:4
Bit depth                                : 8 bits
Scan type                                : Progressive
Bits/(Pixel*Frame)                       : 0.048
Stream size                              : 254 KiB (51%)
Writing library                          : x264 core 164
Encoding settings                        : cabac=1 / ref=4 / deblock=1:0:0 / analyse=0x3:0x113 / me=hex / subme=8 / psy=1 / psy_rd=1.00:0.00 / mixed_ref=1 / me_range=16 / chroma_me=1 / trellis=2 / 8x8dct=1 / cqm=0 / deadzone=21,11 / fast_pskip=1 / chroma_qp_offset=4 / threads=6 / lookahead_threads=1 / sliced_threads=0 / nr=0 / decimate=1 / interlaced=0 / bluray_compat=0 / constrained_intra=0 / bframes=2 / b_pyramid=2 / b_adapt=1 / b_bias=0 / direct=3 / weightb=1 / open_gop=0 / weightp=2 / keyint=60 / keyint_min=25 / scenecut=40 / intra_refresh=0 / rc_lookahead=50 / rc=crf / mbtree=1 / crf=18.0 / qcomp=0.60 / qpmin=0 / qpmax=69 / qpstep=4 / vbv_maxrate=20000 / vbv_bufsize=20000 / crf_max=0.0 / nal_hrd=none / filler=0 / ip_ratio=1.40 / aq=1:1.00
Color range                              : Full
Color primaries                          : BT.709
Transfer characteristics                 : BT.709
Matrix coefficients                      : BT.709

Audio
ID                                       : 2
Format                                   : AAC
Format/Info                              : Advanced Audio Codec
Format profile                           : LC
Codec ID                                 : mp4a-40-2
Duration                                 : 6 s 358 ms
Source duration                          : 6 s 379 ms
Bit rate mode                            : Variable
Bit rate                                 : 305 kb/s
Maximum bit rate                         : 384 kb/s / 384 kb/s
Channel(s)                               : 2 channels
Channel positions                        : Front: L R
Sampling rate                            : 48.0 kHz
Frame rate                               : 46.875 FPS (1024 SPF)
Compression mode                         : Lossy
Stream size                              : 236 KiB (47%)
Source stream size                       : 237 KiB (48%)
Language                                 : Spanish
Default                                  : Yes
Alternate group                          : 1
mdhd_Duration                            : 6357

[email protected]:~/Vídeos$ mediainfo video_test_work2.mp4
General
Complete name                            : video_test_work2.mp4
Format                                   : MPEG-4
Format profile                           : Base Media
Codec ID                                 : isom (isom/iso2/avc1/mp41)
File size                                : 972 KiB
Duration                                 : 6 s 16 ms
Overall bit rate mode                    : Variable
Overall bit rate                         : 1 324 kb/s
Writing application                      : Lavf58.76.100

Video
ID                                       : 1
Format                                   : AVC
Format/Info                              : Advanced Video Codec
Format profile                           : High 4:4:4 [email protected]
Format settings                          : CABAC / 4 Ref Frames
Format settings, CABAC                   : Yes
Format settings, ReFrames                : 4 frames
Codec ID                                 : avc1
Codec ID/Info                            : Advanced Video Coding
Duration                                 : 6 s 0 ms
Bit rate                                 : 1 085 kb/s
Width                                    : 1 024 pixels
Height                                   : 768 pixels
Display aspect ratio                     : 4:3
Frame rate mode                          : Constant
Frame rate                               : 30.000 FPS
Color space                              : YUV
Chroma subsampling                       : 4:4:4
Bit depth                                : 8 bits
Scan type                                : Progressive
Bits/(Pixel*Frame)                       : 0.046
Stream size                              : 795 KiB (82%)
Writing library                          : x264 core 164
Encoding settings                        : cabac=1 / ref=4 / deblock=1:0:0 / analyse=0x3:0x113 / me=hex / subme=8 / psy=1 / psy_rd=1.00:0.00 / mixed_ref=1 / me_range=16 / chroma_me=1 / trellis=2 / 8x8dct=1 / cqm=0 / deadzone=21,11 / fast_pskip=1 / chroma_qp_offset=4 / threads=1 / lookahead_threads=1 / sliced_threads=0 / nr=0 / decimate=1 / interlaced=0 / bluray_compat=0 / constrained_intra=0 / bframes=2 / b_pyramid=2 / b_adapt=1 / b_bias=0 / direct=3 / weightb=1 / open_gop=0 / weightp=2 / keyint=60 / keyint_min=25 / scenecut=40 / intra_refresh=0 / rc_lookahead=50 / rc=crf / mbtree=1 / crf=18.0 / qcomp=0.60 / qpmin=0 / qpmax=69 / qpstep=4 / vbv_maxrate=20000 / vbv_bufsize=20000 / crf_max=0.0 / nal_hrd=none / filler=0 / ip_ratio=1.40 / aq=1:1.00
Color range                              : Full
Color primaries                          : BT.709
Transfer characteristics                 : BT.709
Matrix coefficients                      : BT.709

Audio
ID                                       : 2
Format                                   : AAC
Format/Info                              : Advanced Audio Codec
Format profile                           : LC
Codec ID                                 : mp4a-40-2
Duration                                 : 6 s 16 ms
Source duration                          : 6 s 37 ms
Bit rate mode                            : Variable
Bit rate                                 : 231 kb/s
Maximum bit rate                         : 384 kb/s / 384 kb/s
Channel(s)                               : 2 channels
Channel positions                        : Front: L R
Sampling rate                            : 48.0 kHz
Frame rate                               : 46.875 FPS (1024 SPF)
Compression mode                         : Lossy
Stream size                              : 170 KiB (17%)
Source stream size                       : 170 KiB (18%)
Language                                 : Spanish
Default                                  : Yes
Alternate group                          : 1
mdhd_Duration                            : 6016


Video_work (7,751 bytes)
Videos fail crash cinelerra (9,113 bytes)
[email protected]:~/Vídeos$ mediainfo fail_video.webm
General
Complete name                            : fail_video.webm
Format                                   : WebM
Format version                           : Version 4 / Version 2
File size                                : 153 KiB
Duration                                 : 6 s 348 ms
Overall bit rate                         : 198 kb/s
Writing application                      : Lavf58.76.100
Writing library                          : Lavf58.76.100

Video
ID                                       : 1
Format                                   : VP9
Codec ID                                 : V_VP9
Duration                                 : 6 s 307 ms
Width                                    : 640 pixels
Height                                   : 360 pixels
Display aspect ratio                     : 16:9
Frame rate mode                          : Constant
Frame rate                               : 30.000 FPS
Color space                              : YUV
Default                                  : Yes
Forced                                   : No
Color range                              : Full
Matrix coefficients                      : BT.709

Audio
ID                                       : 2
Format                                   : Opus
Codec ID                                 : A_OPUS
Duration                                 : 6 s 348 ms
Channel(s)                               : 2 channels
Channel positions                        : Front: L R
Sampling rate                            : 48.0 kHz
Bit depth                                : 32 bits
Compression mode                         : Lossy
Language                                 : Spanish
Default                                  : Yes
Forced                                   : No

[email protected]:~/Vídeos$ mediainfo VIDEO_Fail.mp4
General
Complete name                            : VIDEO_Fail.mp4
Format                                   : MPEG-4
Format profile                           : Base Media
Codec ID                                 : isom (isom/iso2/avc1/mp41)
File size                                : 945 KiB
Duration                                 : 22 s 727 ms
Overall bit rate                         : 341 kb/s
Writing application                      : Lavf58.76.100

Video
ID                                       : 1
Format                                   : AVC
Format/Info                              : Advanced Video Codec
Format profile                           : [email protected]
Format settings                          : CABAC / 4 Ref Frames
Format settings, CABAC                   : Yes
Format settings, ReFrames                : 4 frames
Format settings, GOP                     : M=4, N=25
Codec ID                                 : avc1
Codec ID/Info                            : Advanced Video Coding
Duration                                 : 22 s 700 ms
Bit rate                                 : 202 kb/s
Width                                    : 384 pixels
Height                                   : 288 pixels
Display aspect ratio                     : 4:3
Frame rate mode                          : Constant
Frame rate                               : 30.000 FPS
Color space                              : YUV
Chroma subsampling                       : 4:2:0
Bit depth                                : 8 bits
Scan type                                : Progressive
Bits/(Pixel*Frame)                       : 0.061
Stream size                              : 561 KiB (59%)
Writing library                          : x264 core 164
Encoding settings                        : cabac=1 / ref=3 / deblock=1:0:0 / analyse=0x3:0x113 / me=hex / subme=7 / psy=1 / psy_rd=1.00:0.00 / mixed_ref=1 / me_range=16 / chroma_me=1 / trellis=1 / 8x8dct=1 / cqm=0 / deadzone=21,11 / fast_pskip=1 / chroma_qp_offset=-2 / threads=1 / lookahead_threads=1 / sliced_threads=0 / nr=0 / decimate=1 / interlaced=0 / bluray_compat=0 / constrained_intra=0 / bframes=3 / b_pyramid=2 / b_adapt=1 / b_bias=0 / direct=1 / weightb=1 / open_gop=0 / weightp=2 / keyint=25 / keyint_min=13 / scenecut=40 / intra_refresh=0 / rc_lookahead=25 / rc=crf / mbtree=1 / crf=23.0 / qcomp=0.60 / qpmin=0 / qpmax=69 / qpstep=4 / ip_ratio=1.40 / aq=1:1.00
Color range                              : Full
Matrix coefficients                      : BT.709

Audio
ID                                       : 2
Format                                   : AAC
Format/Info                              : Advanced Audio Codec
Format profile                           : LC
Codec ID                                 : mp4a-40-2
Duration                                 : 22 s 727 ms
Source duration                          : 22 s 748 ms
Source_Duration_LastFrame                : -15 ms
Bit rate mode                            : Constant
Bit rate                                 : 129 kb/s
Channel(s)                               : 2 channels
Channel positions                        : Front: L R
Sampling rate                            : 48.0 kHz
Frame rate                               : 46.875 FPS (1024 SPF)
Compression mode                         : Lossy
Stream size                              : 358 KiB (38%)
Source stream size                       : 359 KiB (38%)
Language                                 : Spanish
Default                                  : Yes
Alternate group                          : 1
mdhd_Duration                            : 22727

[email protected]:~/Vídeos$ mediainfo Video_Fail.mkv
General
Unique ID                                : 219055739907432194108699665883372140615 (0xA4CC99D46F8E78E0C2CF0FFDB34B3847)
Complete name                            : Video_Fail.mkv
Format                                   : Matroska
Format version                           : Version 4 / Version 2
File size                                : 3.48 MiB
Duration                                 : 8 s 616 ms
Overall bit rate mode                    : Variable
Overall bit rate                         : 3 384 kb/s
Writing application                      : Lavf57.83.100
Writing library                          : Lavf57.83.100
ErrorDetectionType                       : Per level 1

Video
ID                                       : 1
Format                                   : MPEG Video
Format version                           : Version 2
Format profile                           : [email protected] 1440
Format settings, BVOP                    : No
Format settings, Matrix                  : Default
Format settings, GOP                     : N=12
Codec ID                                 : V_MPEG2
Codec ID/Info                            : MPEG 1 or 2 Video
Duration                                 : 8 s 600 ms
Bit rate mode                            : Variable
Bit rate                                 : 3 189 kb/s
Width                                    : 1 024 pixels
Height                                   : 768 pixels
Display aspect ratio                     : 4:3
Frame rate mode                          : Constant
Frame rate                               : 30.000 FPS
Standard                                 : Component
Color space                              : YUV
Chroma subsampling                       : 4:2:0
Bit depth                                : 8 bits
Scan type                                : Progressive
Compression mode                         : Lossy
Bits/(Pixel*Frame)                       : 0.135
Time code of first frame                 : 00:00:00:00
Time code source                         : Group of pictures header
GOP, Open/Closed                         : Open
GOP, Open/Closed of first frame          : Closed
Stream size                              : 3.27 MiB (94%)
Default                                  : Yes
Forced                                   : No
Color range                              : Limited
Color primaries                          : BT.709
Transfer characteristics                 : BT.709
Matrix coefficients                      : BT.709
DURATION                                 : 00:00:08,533000000

Audio
ID                                       : 2
Format                                   : MPEG Audio
Format version                           : Version 1
Format profile                           : Layer 3
Format settings                          : Joint stereo / MS Stereo
Codec ID                                 : A_MPEG/L3
Codec ID/Hint                            : MP3
Duration                                 : 8 s 616 ms
Bit rate mode                            : Constant
Bit rate                                 : 128 kb/s
Channel(s)                               : 2 channels
Sampling rate                            : 48.0 kHz
Compression mode                         : Lossy
Delay relative to video                  : 1 ms
Stream size                              : 135 KiB (4%)
Writing library                          : LAME3.100
Default                                  : Yes
Forced                                   : No
DURATION                                 : 00:00:08,616000000





PhyllisSmith

PhyllisSmith

2021-11-05 18:11

manager   ~0005137

@Andrew-R
Thanks for continuing to provide potential solutions. First, I am going to try to disable ilmBase -- I was trying to figure out where libIlmImf-2_2.so.22 was so that is a big help.

What can I do about "I still suspect your test machine has ssse3" ?
Andrew-R

Andrew-R

2021-11-05 18:02

reporter   ~0005136

@PhyllisSmith, speaking about failed lib load, may be this workaround can help?

https://oldforum.puppylinux.com/viewtopic.php?t=118913&i=1
env LD_LIBRARY_PATH=/tmp/
before launching appimage...

still, may be we should just force ilmbase/openexr static build ...
Andrew-R

Andrew-R

2021-11-05 05:05

reporter   ~0005135

@PhyllisSmith, I think you may disabke one more library (not really useful w/o openexr, I thin()

./configure --help | grep ilm
  --enable-ilmBase build ilmBase (auto)

so, in our case --disable-ilmBase...

also, I still suspect your test machine has ssse3, so like it was in my case bug not bite..

I even tried qemu-i386 -cpu pentium3 /usr/bin/cin (user-mode emulation) and Cin was working on my desktop, so
I naively assumed all was fine.. for years! I think I had no-ssse3 cpu (athlon x2) back in early 2017, and Cin was working there in 32-bit, but 0000284:0002017 cin definitely too old when it ckmes to bugfixes etc...

@sparkillay, may be you can try to run cin (from mounted appimage) via qemu-i386 too? with - cpu core2duo.. it will be slow, but may be it will stop crashing on load...? this will tell us if crash actually related to my bug or not.

You can also try to type 'bt full' in gdb command prompt and post output here..

Thanks for patience and sorry for trouble!
sparkillay

sparkillay

2021-11-05 02:02

reporter   ~0005134

@PhyllisSmith
No errors come out in Ubuntu 18.04 libva.
Some videos load others no.

Debian bullseye This mistake still continues.

error while loading shared libraries: libIlmImf-2_2.so.22: cannot open shared object file: No such file or directory

The files are from Ubuntu 18.04

gdb (5,516 bytes)
[email protected]:~/Descargas$ gdb ./cinelerrafixed.AppImage
GNU gdb (Ubuntu 8.1.1-0ubuntu1) 8.1.1
Copyright (C) 2018 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i686-linux-gnu".
Type "show configuration" for configuration details.
Para las instrucciones de informe de errores, vea:
<http://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
<http://www.gnu.org/software/gdb/documentation/>.
For help, type "help".
Type "apropos word" to search for commands related to "word"...
Leyendo símbolos desde ./cinelerrafixed.AppImage...(no se encontraron símbolos de depuración)hecho.
(gdb) run
Starting program: /home/sparkill/Descargas/cinelerrafixed.AppImage
[Depuración de hilo usando libthread_db enabled]
Using host libthread_db library "/lib/i386-linux-gnu/libthread_db.so.1".
process 12736 is executing new program: /tmp/.mount_cinelecKMpvO/usr/bin/cin
[Depuración de hilo usando libthread_db enabled]
Using host libthread_db library "/lib/i386-linux-gnu/libthread_db.so.1".
Cinelerra Infinity - built: Nov  4 2021 15:27:02
git://git.cinelerra-gg.org/goodguy/cinelerra.git
(c) 2006-2019 Heroine Virtual Ltd. by Adam Williams
2007-2020 mods for Cinelerra-GG by W.P.Morrow aka goodguy
Cinelerra is free software, covered by the GNU General Public License,
and you are welcome to change it and/or distribute copies of it under
certain conditions. There is absolutely no warranty for Cinelerra.

aviso: Error reading shared library list entry at 0xfffff050
aviso: Error reading shared library list entry at 0xffffb4d0
aviso: Error reading shared library list entry at 0x5c00
aviso: Error reading shared library list entry at 0x6250
[Nuevo Thread 0xace7fb40 (LWP 12747)]
aviso: Error reading shared library list entry at 0x6ea0
[Nuevo Thread 0xac399b40 (LWP 12748)]
aviso: Error reading shared library list entry at 0xfffffb90
[Nuevo Thread 0xab241b40 (LWP 12752)]
[Nuevo Thread 0xaaa40b40 (LWP 12753)]
[Nuevo Thread 0xaa23fb40 (LWP 12754)]
[Nuevo Thread 0xa9a3eb40 (LWP 12755)]
[Nuevo Thread 0xa923db40 (LWP 12756)]
[Nuevo Thread 0xa8a3cb40 (LWP 12757)]
[Nuevo Thread 0xa7effb40 (LWP 12758)]
[Nuevo Thread 0xa76feb40 (LWP 12759)]
[Nuevo Thread 0xa6efdb40 (LWP 12760)]
[Nuevo Thread 0xa66fcb40 (LWP 12761)]
[Nuevo Thread 0xa5efbb40 (LWP 12762)]
[Nuevo Thread 0xa56fab40 (LWP 12763)]
[Nuevo Thread 0xa4ef9b40 (LWP 12764)]
[Nuevo Thread 0xa46f8b40 (LWP 12765)]
[Nuevo Thread 0xa3ef7b40 (LWP 12766)]
[Nuevo Thread 0xa36f6b40 (LWP 12767)]
[Nuevo Thread 0xa2ef5b40 (LWP 12768)]
[Nuevo Thread 0xa26f4b40 (LWP 12769)]
[Nuevo Thread 0xa1ef3b40 (LWP 12770)]
[Nuevo Thread 0xa16f2b40 (LWP 12771)]
[Nuevo Thread 0xa0ef1b40 (LWP 12772)]
[Nuevo Thread 0xa06f0b40 (LWP 12773)]
[Nuevo Thread 0x9feefb40 (LWP 12774)]
[Nuevo Thread 0x9f6eeb40 (LWP 12775)]
[Thread 0xac399b40 (LWP 12748) terminado]
[Nuevo Thread 0xac399b40 (LWP 12776)]
[Nuevo Thread 0x9eeedb40 (LWP 12777)]
[Nuevo Thread 0x9e6ecb40 (LWP 12778)]
[Nuevo Thread 0x9deebb40 (LWP 12779)]
[Nuevo Thread 0x9d6eab40 (LWP 12780)]
[Nuevo Thread 0x9cee9b40 (LWP 12781)]
[Nuevo Thread 0x9c6e8b40 (LWP 12782)]
[Nuevo Thread 0x9bee7b40 (LWP 12783)]
[Nuevo Thread 0x9b6e6b40 (LWP 12784)]
[Nuevo Thread 0x9aee5b40 (LWP 12785)]
[Nuevo Thread 0x9a6e4b40 (LWP 12786)]
[Nuevo Thread 0x99ee3b40 (LWP 12787)]
[Nuevo Thread 0x996e2b40 (LWP 12788)]
[Nuevo Thread 0x98ee1b40 (LWP 12789)]
[Nuevo Thread 0x986e0b40 (LWP 12790)]
[Nuevo Thread 0x97edfb40 (LWP 12791)]
[Nuevo Thread 0x974ffb40 (LWP 12792)]
[Nuevo Thread 0x96affb40 (LWP 12793)]
[Nuevo Thread 0x962feb40 (LWP 12794)]
[Thread 0x96affb40 (LWP 12793) terminado]
[Thread 0x962feb40 (LWP 12794) terminado]
[Nuevo Thread 0x962feb40 (LWP 12798)]
[Nuevo Thread 0x96affb40 (LWP 12799)]
[Thread 0x96affb40 (LWP 12799) terminado]
[Thread 0x962feb40 (LWP 12798) terminado]
[Nuevo Thread 0x962feb40 (LWP 12800)]
[Nuevo Thread 0x96affb40 (LWP 12801)]
[Thread 0x96affb40 (LWP 12801) terminado]
[Thread 0x962feb40 (LWP 12800) terminado]
[Thread 0x974ffb40 (LWP 12792) terminado]
[Thread 0x97edfb40 (LWP 12791) terminado]
[Nuevo Thread 0x97edfb40 (LWP 12802)]
[Nuevo Thread 0x974ffb40 (LWP 12803)]
[Nuevo Thread 0x96affb40 (LWP 12804)]
[Nuevo Thread 0x951ffb40 (LWP 12805)]
[Thread 0x96affb40 (LWP 12804) terminado]
[Thread 0x951ffb40 (LWP 12805) terminado]
[Thread 0x974ffb40 (LWP 12803) terminado]
[Thread 0x97edfb40 (LWP 12802) terminado]
[Nuevo Thread 0x97edfb40 (LWP 12808)]
[Nuevo Thread 0x974ffb40 (LWP 12809)]
[Nuevo Thread 0x951ffb40 (LWP 12810)]
[Nuevo Thread 0x96affb40 (LWP 12811)]
[Thread 0x951ffb40 (LWP 12810) terminado]
[Thread 0x96affb40 (LWP 12811) terminado]
[Nuevo Thread 0x962feb40 (LWP 12812)]
[Nuevo Thread 0x96affb40 (LWP 12813)]
[Thread 0x96affb40 (LWP 12813) terminado]
[Thread 0x962feb40 (LWP 12812) terminado]
[Nuevo Thread 0x962feb40 (LWP 12814)]
[Nuevo Thread 0x96affb40 (LWP 12815)]
[Thread 0x96affb40 (LWP 12815) terminado]
[Thread 0x962feb40 (LWP 12814) terminado]
[Thread 0x974ffb40 (LWP 12809) terminado]
[Thread 0x97edfb40 (LWP 12808) terminado]
[Nuevo Thread 0x97edfb40 (LWP 12816)]
audio0 pad 8 0 (8)

Thread 28 "AppRun" received signal SIGSEGV, Segmentation fault.
[Cambiando a Thread 0xac399b40 (LWP 12776)]
0x00cd503a in BC_Xfer::xfer_rgb888_to_bgr8888(unsigned int, unsigned int) ()
(gdb)
gdb (5,516 bytes)
cinelerra_12989.dmp (58,314 bytes)
LD_DEBUG (35,648 bytes)
[email protected]:~/Descargas$ LD_DEBUG=libs ./cinelerrafixed.AppImage
     12989:	find library=libdl.so.2 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/lib/i386-linux-gnu/libdl.so.2
     12989:
     12989:	find library=libpthread.so.0 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/lib/i386-linux-gnu/libpthread.so.0
     12989:
     12989:	find library=libz.so.1 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/lib/i386-linux-gnu/libz.so.1
     12989:
     12989:	find library=libc.so.6 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/lib/i386-linux-gnu/libc.so.6
     12989:
     12989:
     12989:	calling init: /lib/i386-linux-gnu/libpthread.so.0
     12989:
     12989:
     12989:	calling init: /lib/i386-linux-gnu/libc.so.6
     12989:
     12989:
     12989:	calling init: /lib/i386-linux-gnu/libz.so.1
     12989:
     12989:
     12989:	calling init: /lib/i386-linux-gnu/libdl.so.2
     12989:
     12989:
     12989:	initialize program: ./cinelerrafixed.AppImage
     12989:
     12989:
     12989:	transferring control: ./cinelerrafixed.AppImage
     12989:
     12989:	find library=libfuse.so.2 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/lib/i386-linux-gnu/libfuse.so.2
     12989:
     12989:
     12989:	calling init: /lib/i386-linux-gnu/libfuse.so.2
     12989:
     12989:	find library=libX11.so.6 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/usr/lib/i386-linux-gnu/libX11.so.6
     12989:
     12989:	find library=libXext.so.6 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/usr/lib/i386-linux-gnu/libXext.so.6
     12989:
     12989:	find library=libXinerama.so.1 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/usr/lib/i386-linux-gnu/libXinerama.so.1
     12989:
     12989:	find library=libXfixes.so.3 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/usr/lib/i386-linux-gnu/libXfixes.so.3
     12989:
     12989:	find library=libbz2.so.1.0 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/lib/i386-linux-gnu/libbz2.so.1.0
     12989:
     12989:	find library=libfontconfig.so.1 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/usr/lib/i386-linux-gnu/libfontconfig.so.1
     12989:
     12989:	find library=libfreetype.so.6 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/usr/lib/i386-linux-gnu/libfreetype.so.6
     12989:
     12989:	find library=liblzma.so.5 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/lib/i386-linux-gnu/liblzma.so.5
     12989:
     12989:	find library=libpng16.so.16 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/usr/lib/i386-linux-gnu/libpng16.so.16
     12989:
     12989:	find library=libpthread.so.0 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/lib/i386-linux-gnu/libpthread.so.0
     12989:
     12989:	find library=libz.so.1 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/lib/i386-linux-gnu/libz.so.1
     12989:
     12989:	find library=libIlmImf-2_2.so.22 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/usr/lib/i386-linux-gnu/libIlmImf-2_2.so.22
     12989:
     12989:	find library=libjbig.so.0 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/usr/lib/i386-linux-gnu/libjbig.so.0
     12989:
     12989:	find library=libGL.so.1 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/usr/lib/i386-linux-gnu/libGL.so.1
     12989:
     12989:	find library=libGLU.so.1 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/usr/lib/i386-linux-gnu/libGLU.so.1
     12989:
     12989:	find library=libXv.so.1 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/usr/lib/i386-linux-gnu/libXv.so.1
     12989:
     12989:	find library=libXft.so.2 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/usr/lib/i386-linux-gnu/libXft.so.2
     12989:
     12989:	find library=libasound.so.2 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/usr/lib/i386-linux-gnu/libasound.so.2
     12989:
     12989:	find library=libpulse-simple.so.0 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/usr/lib/i386-linux-gnu/libpulse-simple.so.0
     12989:
     12989:	find library=libpulse.so.0 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/usr/lib/i386-linux-gnu/libpulse.so.0
     12989:
     12989:	find library=libusb-1.0.so.0 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/lib/i386-linux-gnu/libusb-1.0.so.0
     12989:
     12989:	find library=libdl.so.2 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/lib/i386-linux-gnu/libdl.so.2
     12989:
     12989:	find library=libstdc++.so.6 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/usr/lib/i386-linux-gnu/libstdc++.so.6
     12989:
     12989:	find library=libm.so.6 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/lib/i386-linux-gnu/libm.so.6
     12989:
     12989:	find library=libgcc_s.so.1 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/lib/i386-linux-gnu/libgcc_s.so.1
     12989:
     12989:	find library=libc.so.6 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/lib/i386-linux-gnu/libc.so.6
     12989:
     12989:	find library=libxcb.so.1 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/usr/lib/i386-linux-gnu/libxcb.so.1
     12989:
     12989:	find library=libexpat.so.1 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/lib/i386-linux-gnu/libexpat.so.1
     12989:
     12989:	find library=libHalf.so.12 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/usr/lib/i386-linux-gnu/libHalf.so.12
     12989:
     12989:	find library=libIex-2_2.so.12 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/usr/lib/i386-linux-gnu/libIex-2_2.so.12
     12989:
     12989:	find library=libIlmThread-2_2.so.12 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/usr/lib/i386-linux-gnu/libIlmThread-2_2.so.12
     12989:
     12989:	find library=libGLdispatch.so.0 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/usr/lib/i386-linux-gnu/libGLdispatch.so.0
     12989:
     12989:	find library=libGLX.so.0 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/usr/lib/i386-linux-gnu/libGLX.so.0
     12989:
     12989:	find library=libXrender.so.1 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/usr/lib/i386-linux-gnu/libXrender.so.1
     12989:
     12989:	find library=librt.so.1 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/lib/i386-linux-gnu/librt.so.1
     12989:
     12989:	find library=libpulsecommon-11.1.so [0]; searching
     12989:	 search path=/usr/lib/i386-linux-gnu/pulseaudio/tls/i686/sse2:/usr/lib/i386-linux-gnu/pulseaudio/tls/i686:/usr/lib/i386-linux-gnu/pulseaudio/tls/sse2:/usr/lib/i386-linux-gnu/pulseaudio/tls:/usr/lib/i386-linux-gnu/pulseaudio/i686/sse2:/usr/lib/i386-linux-gnu/pulseaudio/i686:/usr/lib/i386-linux-gnu/pulseaudio/sse2:/usr/lib/i386-linux-gnu/pulseaudio	        (RUNPATH from file /usr/lib/i386-linux-gnu/libpulse-simple.so.0)
     12989:	  trying file=/usr/lib/i386-linux-gnu/pulseaudio/tls/i686/sse2/libpulsecommon-11.1.so
     12989:	  trying file=/usr/lib/i386-linux-gnu/pulseaudio/tls/i686/libpulsecommon-11.1.so
     12989:	  trying file=/usr/lib/i386-linux-gnu/pulseaudio/tls/sse2/libpulsecommon-11.1.so
     12989:	  trying file=/usr/lib/i386-linux-gnu/pulseaudio/tls/libpulsecommon-11.1.so
     12989:	  trying file=/usr/lib/i386-linux-gnu/pulseaudio/i686/sse2/libpulsecommon-11.1.so
     12989:	  trying file=/usr/lib/i386-linux-gnu/pulseaudio/i686/libpulsecommon-11.1.so
     12989:	  trying file=/usr/lib/i386-linux-gnu/pulseaudio/sse2/libpulsecommon-11.1.so
     12989:	  trying file=/usr/lib/i386-linux-gnu/pulseaudio/libpulsecommon-11.1.so
     12989:
     12989:	find library=libdbus-1.so.3 [0]; searching
     12989:	 search path=/usr/lib/i386-linux-gnu/pulseaudio	(RUNPATH from file /usr/lib/i386-linux-gnu/libpulse-simple.so.0)
     12989:	  trying file=/usr/lib/i386-linux-gnu/pulseaudio/libdbus-1.so.3
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/lib/i386-linux-gnu/libdbus-1.so.3
     12989:
     12989:	find library=libudev.so.1 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/lib/i386-linux-gnu/libudev.so.1
     12989:
     12989:	find library=libXau.so.6 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/usr/lib/i386-linux-gnu/libXau.so.6
     12989:
     12989:	find library=libXdmcp.so.6 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/usr/lib/i386-linux-gnu/libXdmcp.so.6
     12989:
     12989:	find library=libsystemd.so.0 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/lib/i386-linux-gnu/libsystemd.so.0
     12989:
     12989:	find library=libwrap.so.0 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/lib/i386-linux-gnu/libwrap.so.0
     12989:
     12989:	find library=libsndfile.so.1 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/usr/lib/i386-linux-gnu/libsndfile.so.1
     12989:
     12989:	find library=libasyncns.so.0 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/usr/lib/i386-linux-gnu/libasyncns.so.0
     12989:
     12989:	find library=libapparmor.so.1 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/lib/i386-linux-gnu/libapparmor.so.1
     12989:
     12989:	find library=libbsd.so.0 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/lib/i386-linux-gnu/libbsd.so.0
     12989:
     12989:	find library=liblz4.so.1 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/usr/lib/i386-linux-gnu/liblz4.so.1
     12989:
     12989:	find library=libgcrypt.so.20 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/lib/i386-linux-gnu/libgcrypt.so.20
     12989:
     12989:	find library=libnsl.so.1 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/lib/i386-linux-gnu/libnsl.so.1
     12989:
     12989:	find library=libFLAC.so.8 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/usr/lib/i386-linux-gnu/libFLAC.so.8
     12989:
     12989:	find library=libogg.so.0 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/usr/lib/i386-linux-gnu/libogg.so.0
     12989:
     12989:	find library=libvorbis.so.0 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/usr/lib/i386-linux-gnu/libvorbis.so.0
     12989:
     12989:	find library=libvorbisenc.so.2 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/usr/lib/i386-linux-gnu/libvorbisenc.so.2
     12989:
     12989:	find library=libresolv.so.2 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/lib/i386-linux-gnu/libresolv.so.2
     12989:
     12989:	find library=libgpg-error.so.0 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/lib/i386-linux-gnu/libgpg-error.so.0
     12989:
     12989:
     12989:	calling init: /lib/i386-linux-gnu/libpthread.so.0
     12989:
     12989:
     12989:	calling init: /lib/i386-linux-gnu/libc.so.6
     12989:
     12989:
     12989:	calling init: /lib/i386-linux-gnu/libgpg-error.so.0
     12989:
     12989:
     12989:	calling init: /lib/i386-linux-gnu/libresolv.so.2
     12989:
     12989:
     12989:	calling init: /usr/lib/i386-linux-gnu/libogg.so.0
     12989:
     12989:
     12989:	calling init: /lib/i386-linux-gnu/libm.so.6
     12989:
     12989:
     12989:	calling init: /usr/lib/i386-linux-gnu/libvorbis.so.0
     12989:
     12989:
     12989:	calling init: /usr/lib/i386-linux-gnu/libvorbisenc.so.2
     12989:
     12989:
     12989:	calling init: /usr/lib/i386-linux-gnu/libFLAC.so.8
     12989:
     12989:
     12989:	calling init: /lib/i386-linux-gnu/libnsl.so.1
     12989:
     12989:
     12989:	calling init: /lib/i386-linux-gnu/libgcrypt.so.20
     12989:
     12989:
     12989:	calling init: /usr/lib/i386-linux-gnu/liblz4.so.1
     12989:
     12989:
     12989:	calling init: /lib/i386-linux-gnu/librt.so.1
     12989:
     12989:
     12989:	calling init: /lib/i386-linux-gnu/libbsd.so.0
     12989:
     12989:
     12989:	calling init: /lib/i386-linux-gnu/libapparmor.so.1
     12989:
     12989:
     12989:	calling init: /usr/lib/i386-linux-gnu/libasyncns.so.0
     12989:
     12989:
     12989:	calling init: /usr/lib/i386-linux-gnu/libsndfile.so.1
     12989:
     12989:
     12989:	calling init: /lib/i386-linux-gnu/libwrap.so.0
     12989:
     12989:
     12989:	calling init: /lib/i386-linux-gnu/libdl.so.2
     12989:
     12989:
     12989:	calling init: /lib/i386-linux-gnu/liblzma.so.5
     12989:
     12989:
     12989:	calling init: /lib/i386-linux-gnu/libsystemd.so.0
     12989:
     12989:
     12989:	calling init: /usr/lib/i386-linux-gnu/libXdmcp.so.6
     12989:
     12989:
     12989:	calling init: /usr/lib/i386-linux-gnu/libXau.so.6
     12989:
     12989:
     12989:	calling init: /lib/i386-linux-gnu/libudev.so.1
     12989:
     12989:
     12989:	calling init: /lib/i386-linux-gnu/libdbus-1.so.3
     12989:
     12989:
     12989:	calling init: /usr/lib/i386-linux-gnu/libxcb.so.1
     12989:
     12989:
     12989:	calling init: /usr/lib/i386-linux-gnu/pulseaudio/libpulsecommon-11.1.so
     12989:
     12989:
     12989:	calling init: /usr/lib/i386-linux-gnu/libX11.so.6
     12989:
     12989:
     12989:	calling init: /usr/lib/i386-linux-gnu/libXrender.so.1
     12989:
     12989:
     12989:	calling init: /usr/lib/i386-linux-gnu/libGLdispatch.so.0
     12989:
     12989:
     12989:	calling init: /usr/lib/i386-linux-gnu/libGLX.so.0
     12989:
     12989:
     12989:	calling init: /lib/i386-linux-gnu/libgcc_s.so.1
     12989:
     12989:
     12989:	calling init: /usr/lib/i386-linux-gnu/libstdc++.so.6
     12989:
     12989:
     12989:	calling init: /usr/lib/i386-linux-gnu/libIex-2_2.so.12
     12989:
     12989:
     12989:	calling init: /usr/lib/i386-linux-gnu/libIlmThread-2_2.so.12
     12989:
     12989:
     12989:	calling init: /usr/lib/i386-linux-gnu/libHalf.so.12
     12989:
     12989:
     12989:	calling init: /lib/i386-linux-gnu/libexpat.so.1
     12989:
     12989:
     12989:	calling init: /lib/i386-linux-gnu/libusb-1.0.so.0
     12989:
     12989:
     12989:	calling init: /usr/lib/i386-linux-gnu/libpulse.so.0
     12989:
     12989:
     12989:	calling init: /usr/lib/i386-linux-gnu/libpulse-simple.so.0
     12989:
     12989:
     12989:	calling init: /usr/lib/i386-linux-gnu/libasound.so.2
     12989:
     12989:
     12989:	calling init: /lib/i386-linux-gnu/libz.so.1
     12989:
     12989:
     12989:	calling init: /usr/lib/i386-linux-gnu/libpng16.so.16
     12989:
     12989:
     12989:	calling init: /usr/lib/i386-linux-gnu/libfreetype.so.6
     12989:
     12989:
     12989:	calling init: /usr/lib/i386-linux-gnu/libfontconfig.so.1
     12989:
     12989:
     12989:	calling init: /usr/lib/i386-linux-gnu/libXft.so.2
     12989:
     12989:
     12989:	calling init: /usr/lib/i386-linux-gnu/libXext.so.6
     12989:
     12989:
     12989:	calling init: /usr/lib/i386-linux-gnu/libXv.so.1
     12989:
     12989:
     12989:	calling init: /usr/lib/i386-linux-gnu/libGL.so.1
     12989:
     12989:
     12989:	calling init: /usr/lib/i386-linux-gnu/libGLU.so.1
     12989:
     12989:
     12989:	calling init: /usr/lib/i386-linux-gnu/libjbig.so.0
     12989:
     12989:
     12989:	calling init: /usr/lib/i386-linux-gnu/libIlmImf-2_2.so.22
     12989:
     12989:
     12989:	calling init: /lib/i386-linux-gnu/libbz2.so.1.0
     12989:
     12989:
     12989:	calling init: /usr/lib/i386-linux-gnu/libXfixes.so.3
     12989:
     12989:
     12989:	calling init: /usr/lib/i386-linux-gnu/libXinerama.so.1
     12989:
     12989:
     12989:	initialize program: ./cinelerrafixed.AppImage
     12989:
     12989:
     12989:	calling init: /usr/lib/i386-linux-gnu/alsa-lib/libasound_module_conf_pulse.so
     12989:
     12989:
     12989:	calling fini: /usr/lib/i386-linux-gnu/alsa-lib/libasound_module_conf_pulse.so [0]
     12989:
     12989:
     12989:	transferring control: ./cinelerrafixed.AppImage
     12989:
Cinelerra Infinity - built: Nov  4 2021 15:27:02
git://git.cinelerra-gg.org/goodguy/cinelerra.git
(c) 2006-2019 Heroine Virtual Ltd. by Adam Williams
2007-2020 mods for Cinelerra-GG by W.P.Morrow aka goodguy
Cinelerra is free software, covered by the GNU General Public License,
and you are welcome to change it and/or distribute copies of it under
certain conditions. There is absolutely no warranty for Cinelerra.

     12989:	find library=libGLX_mesa.so.0 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/usr/lib/i386-linux-gnu/libGLX_mesa.so.0
     12989:
     12989:	find library=libglapi.so.0 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/usr/lib/i386-linux-gnu/libglapi.so.0
     12989:
     12989:	find library=libdrm.so.2 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/usr/lib/i386-linux-gnu/libdrm.so.2
     12989:
     12989:	find library=libxcb-glx.so.0 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/usr/lib/i386-linux-gnu/libxcb-glx.so.0
     12989:
     12989:	find library=libX11-xcb.so.1 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/usr/lib/i386-linux-gnu/libX11-xcb.so.1
     12989:
     12989:	find library=libxcb-dri2.so.0 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/usr/lib/i386-linux-gnu/libxcb-dri2.so.0
     12989:
     12989:	find library=libXxf86vm.so.1 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/usr/lib/i386-linux-gnu/libXxf86vm.so.1
     12989:
     12989:	find library=libxcb-shm.so.0 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/usr/lib/i386-linux-gnu/libxcb-shm.so.0
     12989:
     12989:	find library=libxcb-dri3.so.0 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/usr/lib/i386-linux-gnu/libxcb-dri3.so.0
     12989:
     12989:	find library=libxcb-present.so.0 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/usr/lib/i386-linux-gnu/libxcb-present.so.0
     12989:
     12989:	find library=libxcb-sync.so.1 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/usr/lib/i386-linux-gnu/libxcb-sync.so.1
     12989:
     12989:	find library=libxshmfence.so.1 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/usr/lib/i386-linux-gnu/libxshmfence.so.1
     12989:
     12989:	find library=libxcb-xfixes.so.0 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/usr/lib/i386-linux-gnu/libxcb-xfixes.so.0
     12989:
     12989:
     12989:	calling init: /usr/lib/i386-linux-gnu/libxcb-xfixes.so.0
     12989:
     12989:
     12989:	calling init: /usr/lib/i386-linux-gnu/libxshmfence.so.1
     12989:
     12989:
     12989:	calling init: /usr/lib/i386-linux-gnu/libxcb-sync.so.1
     12989:
     12989:
     12989:	calling init: /usr/lib/i386-linux-gnu/libxcb-present.so.0
     12989:
     12989:
     12989:	calling init: /usr/lib/i386-linux-gnu/libxcb-dri3.so.0
     12989:
     12989:
     12989:	calling init: /usr/lib/i386-linux-gnu/libxcb-shm.so.0
     12989:
     12989:
     12989:	calling init: /usr/lib/i386-linux-gnu/libXxf86vm.so.1
     12989:
     12989:
     12989:	calling init: /usr/lib/i386-linux-gnu/libxcb-dri2.so.0
     12989:
     12989:
     12989:	calling init: /usr/lib/i386-linux-gnu/libX11-xcb.so.1
     12989:
     12989:
     12989:	calling init: /usr/lib/i386-linux-gnu/libxcb-glx.so.0
     12989:
     12989:
     12989:	calling init: /usr/lib/i386-linux-gnu/libdrm.so.2
     12989:
     12989:
     12989:	calling init: /usr/lib/i386-linux-gnu/libglapi.so.0
     12989:
     12989:
     12989:	calling init: /usr/lib/i386-linux-gnu/libGLX_mesa.so.0
     12989:
     12989:	find library=libLLVM-13.so.1 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/usr/lib/i386-linux-gnu/libLLVM-13.so.1
     12989:
     12989:	find library=libzstd.so.1 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/usr/lib/i386-linux-gnu/libzstd.so.1
     12989:
     12989:	find library=libsensors.so.4 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/usr/lib/i386-linux-gnu/libsensors.so.4
     12989:
     12989:	find library=libdrm_radeon.so.1 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/usr/lib/i386-linux-gnu/libdrm_radeon.so.1
     12989:
     12989:	find library=libelf.so.1 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/usr/lib/i386-linux-gnu/libelf.so.1
     12989:
     12989:	find library=libdrm_amdgpu.so.1 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/usr/lib/i386-linux-gnu/libdrm_amdgpu.so.1
     12989:
     12989:	find library=libdrm_nouveau.so.2 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/usr/lib/i386-linux-gnu/libdrm_nouveau.so.2
     12989:
     12989:	find library=libvulkan.so.1 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/usr/lib/i386-linux-gnu/libvulkan.so.1
     12989:
     12989:	find library=libatomic.so.1 [0]; searching
     12989:	 search path=/usr/lib/i386-linux-gnu/../lib/tls/i686/sse2:/usr/lib/i386-linux-gnu/../lib/tls/i686:/usr/lib/i386-linux-gnu/../lib/tls/sse2:/usr/lib/i386-linux-gnu/../lib/tls:/usr/lib/i386-linux-gnu/../lib/i686/sse2:/usr/lib/i386-linux-gnu/../lib/i686:/usr/lib/i386-linux-gnu/../lib/sse2:/usr/lib/i386-linux-gnu/../lib	        (RUNPATH from file /usr/lib/i386-linux-gnu/libLLVM-13.so.1)
     12989:	  trying file=/usr/lib/i386-linux-gnu/../lib/tls/i686/sse2/libatomic.so.1
     12989:	  trying file=/usr/lib/i386-linux-gnu/../lib/tls/i686/libatomic.so.1
     12989:	  trying file=/usr/lib/i386-linux-gnu/../lib/tls/sse2/libatomic.so.1
     12989:	  trying file=/usr/lib/i386-linux-gnu/../lib/tls/libatomic.so.1
     12989:	  trying file=/usr/lib/i386-linux-gnu/../lib/i686/sse2/libatomic.so.1
     12989:	  trying file=/usr/lib/i386-linux-gnu/../lib/i686/libatomic.so.1
     12989:	  trying file=/usr/lib/i386-linux-gnu/../lib/sse2/libatomic.so.1
     12989:	  trying file=/usr/lib/i386-linux-gnu/../lib/libatomic.so.1
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/usr/lib/i386-linux-gnu/libatomic.so.1
     12989:
     12989:	find library=libffi.so.6 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/usr/lib/i386-linux-gnu/libffi.so.6
     12989:
     12989:	find library=libedit.so.2 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/usr/lib/i386-linux-gnu/libedit.so.2
     12989:
     12989:	find library=libtinfo.so.5 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/lib/i386-linux-gnu/libtinfo.so.5
     12989:
     12989:	find library=libxml2.so.2 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/usr/lib/i386-linux-gnu/libxml2.so.2
     12989:
     12989:	find library=libicuuc.so.60 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/usr/lib/i386-linux-gnu/libicuuc.so.60
     12989:
     12989:	find library=libicudata.so.60 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/usr/lib/i386-linux-gnu/libicudata.so.60
     12989:
     12989:
     12989:	calling init: /usr/lib/i386-linux-gnu/libicudata.so.60
     12989:
     12989:
     12989:	calling init: /usr/lib/i386-linux-gnu/libicuuc.so.60
     12989:
     12989:
     12989:	calling init: /usr/lib/i386-linux-gnu/libxml2.so.2
     12989:
     12989:
     12989:	calling init: /lib/i386-linux-gnu/libtinfo.so.5
     12989:
     12989:
     12989:	calling init: /usr/lib/i386-linux-gnu/libedit.so.2
     12989:
     12989:
     12989:	calling init: /usr/lib/i386-linux-gnu/libffi.so.6
     12989:
     12989:
     12989:	calling init: /usr/lib/i386-linux-gnu/libatomic.so.1
     12989:
     12989:
     12989:	calling init: /usr/lib/i386-linux-gnu/libvulkan.so.1
     12989:
     12989:
     12989:	calling init: /usr/lib/i386-linux-gnu/libdrm_nouveau.so.2
     12989:
     12989:
     12989:	calling init: /usr/lib/i386-linux-gnu/libdrm_amdgpu.so.1
     12989:
     12989:
     12989:	calling init: /usr/lib/i386-linux-gnu/libelf.so.1
     12989:
     12989:
     12989:	calling init: /usr/lib/i386-linux-gnu/libdrm_radeon.so.1
     12989:
     12989:
     12989:	calling init: /usr/lib/i386-linux-gnu/libsensors.so.4
     12989:
     12989:
     12989:	calling init: /usr/lib/i386-linux-gnu/libzstd.so.1
     12989:
     12989:
     12989:	calling init: /usr/lib/i386-linux-gnu/libLLVM-13.so.1
     12989:
     12989:
     12989:	calling init: /usr/lib/i386-linux-gnu/dri/r300_dri.so
     12989:
     12989:	find library=libnss_compat.so.2 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/lib/i386-linux-gnu/libnss_compat.so.2
     12989:
     12989:
     12989:	calling init: /lib/i386-linux-gnu/libnss_compat.so.2
     12989:
     12989:	find library=libnss_nis.so.2 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/lib/i386-linux-gnu/libnss_nis.so.2
     12989:
     12989:	find library=libnss_files.so.2 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/lib/i386-linux-gnu/libnss_files.so.2
     12989:
     12989:
     12989:	calling init: /lib/i386-linux-gnu/libnss_files.so.2
     12989:
     12989:
     12989:	calling init: /lib/i386-linux-gnu/libnss_nis.so.2
     12989:
     12989:	find library=libXcursor.so.1 [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	  trying file=/usr/lib/i386-linux-gnu/libXcursor.so.1
     12989:
     12989:
     12989:	calling init: /usr/lib/i386-linux-gnu/libXcursor.so.1
     12989:
     12989:
     12989:	calling init: /tmp/.mount_cinele0ROMlm/usr/bin/plugins/themes/theme_cakewalk.plugin
     12989:
     12997:	find library=libc.so.6 [0]; searching
     12997:	 search cache=/etc/ld.so.cache
     12997:	  trying file=/lib/i386-linux-gnu/libc.so.6
     12997:
     12997:
     12997:	calling init: /lib/i386-linux-gnu/libc.so.6
     12997:
     12997:
     12997:	initialize program: sh
     12997:
     12997:
     12997:	transferring control: sh
     12997:
     12998:	find library=libselinux.so.1 [0]; searching
     12998:	 search cache=/etc/ld.so.cache
     12998:	  trying file=/lib/i386-linux-gnu/libselinux.so.1
     12998:
     12998:	find library=libm.so.6 [0]; searching
     12998:	 search cache=/etc/ld.so.cache
     12998:	  trying file=/lib/i386-linux-gnu/libm.so.6
     12998:
     12998:	find library=libc.so.6 [0]; searching
     12998:	 search cache=/etc/ld.so.cache
     12998:	  trying file=/lib/i386-linux-gnu/libc.so.6
     12998:
     12998:	find library=libpcre.so.3 [0]; searching
     12998:	 search cache=/etc/ld.so.cache
     12998:	  trying file=/lib/i386-linux-gnu/libpcre.so.3
     12998:
     12998:	find library=libdl.so.2 [0]; searching
     12998:	 search cache=/etc/ld.so.cache
     12998:	  trying file=/lib/i386-linux-gnu/libdl.so.2
     12998:
     12998:	find library=libpthread.so.0 [0]; searching
     12998:	 search cache=/etc/ld.so.cache
     12998:	  trying file=/lib/i386-linux-gnu/libpthread.so.0
     12998:
     12998:
     12998:	calling init: /lib/i386-linux-gnu/libpthread.so.0
     12998:
     12998:
     12998:	calling init: /lib/i386-linux-gnu/libc.so.6
     12998:
     12998:
     12998:	calling init: /lib/i386-linux-gnu/libdl.so.2
     12998:
     12998:
     12998:	calling init: /lib/i386-linux-gnu/libpcre.so.3
     12998:
     12998:
     12998:	calling init: /lib/i386-linux-gnu/libm.so.6
     12998:
     12998:
     12998:	calling init: /lib/i386-linux-gnu/libselinux.so.1
     12998:
     12998:
     12998:	initialize program: find
     12998:
     12998:
     12998:	transferring control: find
     12998:
     12999:	find library=libc.so.6 [0]; searching
     12999:	 search cache=/etc/ld.so.cache
     12999:	  trying file=/lib/i386-linux-gnu/libc.so.6
     12999:
     12999:
     12999:	calling init: /lib/i386-linux-gnu/libc.so.6
     12999:
     12999:
     12999:	initialize program: cat
     12999:
     12999:
     12999:	transferring control: cat
     12999:
     12989:	find library=libx265_main12.so [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	 search path=/lib/i386-linux-gnu/tls/i686/sse2:/lib/i386-linux-gnu/tls/i686:/lib/i386-linux-gnu/tls/sse2:/lib/i386-linux-gnu/tls:/lib/i386-linux-gnu/i686/sse2:/lib/i386-linux-gnu/i686:/lib/i386-linux-gnu/sse2:/lib/i386-linux-gnu:/usr/lib/i386-linux-gnu/tls/i686/sse2:/usr/lib/i386-linux-gnu/tls/i686:/usr/lib/i386-linux-gnu/tls/sse2:/usr/lib/i386-linux-gnu/tls:/usr/lib/i386-linux-gnu/i686/sse2:/usr/lib/i386-linux-gnu/i686:/usr/lib/i386-linux-gnu/sse2:/usr/lib/i386-linux-gnu:/lib/tls/i686/sse2:/lib/tls/i686:/lib/tls/sse2:/lib/tls:/lib/i686/sse2:/lib/i686:/lib/sse2:/lib:/usr/lib/tls/i686/sse2:/usr/lib/tls/i686:/usr/lib/tls/sse2:/usr/lib/tls:/usr/lib/i686/sse2:/usr/lib/i686:/usr/lib/sse2:/usr/lib	(system search path)
     12989:	  trying file=/lib/i386-linux-gnu/tls/i686/sse2/libx265_main12.so
     12989:	  trying file=/lib/i386-linux-gnu/tls/i686/libx265_main12.so
     12989:	  trying file=/lib/i386-linux-gnu/tls/sse2/libx265_main12.so
     12989:	  trying file=/lib/i386-linux-gnu/tls/libx265_main12.so
     12989:	  trying file=/lib/i386-linux-gnu/i686/sse2/libx265_main12.so
     12989:	  trying file=/lib/i386-linux-gnu/i686/libx265_main12.so
     12989:	  trying file=/lib/i386-linux-gnu/sse2/libx265_main12.so
     12989:	  trying file=/lib/i386-linux-gnu/libx265_main12.so
     12989:	  trying file=/usr/lib/i386-linux-gnu/tls/i686/sse2/libx265_main12.so
     12989:	  trying file=/usr/lib/i386-linux-gnu/tls/i686/libx265_main12.so
     12989:	  trying file=/usr/lib/i386-linux-gnu/tls/sse2/libx265_main12.so
     12989:	  trying file=/usr/lib/i386-linux-gnu/tls/libx265_main12.so
     12989:	  trying file=/usr/lib/i386-linux-gnu/i686/sse2/libx265_main12.so
     12989:	  trying file=/usr/lib/i386-linux-gnu/i686/libx265_main12.so
     12989:	  trying file=/usr/lib/i386-linux-gnu/sse2/libx265_main12.so
     12989:	  trying file=/usr/lib/i386-linux-gnu/libx265_main12.so
     12989:	  trying file=/lib/tls/i686/sse2/libx265_main12.so
     12989:	  trying file=/lib/tls/i686/libx265_main12.so
     12989:	  trying file=/lib/tls/sse2/libx265_main12.so
     12989:	  trying file=/lib/tls/libx265_main12.so
     12989:	  trying file=/lib/i686/sse2/libx265_main12.so
     12989:	  trying file=/lib/i686/libx265_main12.so
     12989:	  trying file=/lib/sse2/libx265_main12.so
     12989:	  trying file=/lib/libx265_main12.so
     12989:	  trying file=/usr/lib/tls/i686/sse2/libx265_main12.so
     12989:	  trying file=/usr/lib/tls/i686/libx265_main12.so
     12989:	  trying file=/usr/lib/tls/sse2/libx265_main12.so
     12989:	  trying file=/usr/lib/tls/libx265_main12.so
     12989:	  trying file=/usr/lib/i686/sse2/libx265_main12.so
     12989:	  trying file=/usr/lib/i686/libx265_main12.so
     12989:	  trying file=/usr/lib/sse2/libx265_main12.so
     12989:	  trying file=/usr/lib/libx265_main12.so
     12989:
     12989:	find library=libx265.so [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	 search path=/lib/i386-linux-gnu:/usr/lib/i386-linux-gnu/i686/sse2:/usr/lib/i386-linux-gnu/i686:/usr/lib/i386-linux-gnu/sse2:/usr/lib/i386-linux-gnu:/lib:/usr/lib	        (system search path)
     12989:	  trying file=/lib/i386-linux-gnu/libx265.so
     12989:	  trying file=/usr/lib/i386-linux-gnu/i686/sse2/libx265.so
     12989:	  trying file=/usr/lib/i386-linux-gnu/i686/libx265.so
     12989:	  trying file=/usr/lib/i386-linux-gnu/sse2/libx265.so
     12989:	  trying file=/usr/lib/i386-linux-gnu/libx265.so
     12989:	  trying file=/lib/libx265.so
     12989:	  trying file=/usr/lib/libx265.so
     12989:
     12989:	find library=libx265_main10.so [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	 search path=/lib/i386-linux-gnu:/usr/lib/i386-linux-gnu/i686/sse2:/usr/lib/i386-linux-gnu/i686:/usr/lib/i386-linux-gnu/sse2:/usr/lib/i386-linux-gnu:/lib:/usr/lib	        (system search path)
     12989:	  trying file=/lib/i386-linux-gnu/libx265_main10.so
     12989:	  trying file=/usr/lib/i386-linux-gnu/i686/sse2/libx265_main10.so
     12989:	  trying file=/usr/lib/i386-linux-gnu/i686/libx265_main10.so
     12989:	  trying file=/usr/lib/i386-linux-gnu/sse2/libx265_main10.so
     12989:	  trying file=/usr/lib/i386-linux-gnu/libx265_main10.so
     12989:	  trying file=/lib/libx265_main10.so
     12989:	  trying file=/usr/lib/libx265_main10.so
     12989:
     12989:	find library=libx265.so [0]; searching
     12989:	 search cache=/etc/ld.so.cache
     12989:	 search path=/lib/i386-linux-gnu:/usr/lib/i386-linux-gnu/i686/sse2:/usr/lib/i386-linux-gnu/i686:/usr/lib/i386-linux-gnu/sse2:/usr/lib/i386-linux-gnu:/lib:/usr/lib	        (system search path)
     12989:	  trying file=/lib/i386-linux-gnu/libx265.so
     12989:	  trying file=/usr/lib/i386-linux-gnu/i686/sse2/libx265.so
     12989:	  trying file=/usr/lib/i386-linux-gnu/i686/libx265.so
     12989:	  trying file=/usr/lib/i386-linux-gnu/sse2/libx265.so
     12989:	  trying file=/usr/lib/i386-linux-gnu/libx265.so
     12989:	  trying file=/lib/libx265.so
     12989:	  trying file=/usr/lib/libx265.so
     12989:
audio0 pad 8 0 (8)
** segv at 0xd9e03a in pid 12989, tid 13025
writing debug data to /tmp/cinelerra_12989.dmp
lock_items: 20
lock_frees: 7
     13051:	find library=libc.so.6 [0]; searching
     13051:	 search cache=/etc/ld.so.cache
     13051:	  trying file=/lib/i386-linux-gnu/libc.so.6
     13051:
     13051:
     13051:	calling init: /lib/i386-linux-gnu/libc.so.6
     13051:
     13051:
     13051:	initialize program: /bin/sh
     13051:
     13051:
     13051:	transferring control: /bin/sh
     13051:
** dump complete
Violación de segmento (`core' generado)
LD_DEBUG (35,648 bytes)
PhyllisSmith

PhyllisSmith

2021-11-04 22:25

manager   ~0005133

@sparkillay
Well, I did not quite understand everything in your last note, but I created one last attempt at a 32-bit AppImage at:
    https://cinelerra-gg.org/download/testing/cin_for_32bit.AppImage
based on previous notes this overwrote the earlier AppImage and was built:
  1) without-openexr
  2) without-vaapi
  3) without-vdpau
  4) export FFMPEG_EXTRA_CFG=" --disable-vaapi --disable-vdpau"
When I did an ldd on the binary as @Andrrew-R suggested, none of exr, vaapi, or vdpau showed up and I checked the build log and saw that all of the without's seemed to be in effect. Then created the AppImage from that binary and loaded an mp4 video to play.
sparkillay

sparkillay

2021-11-04 14:46

reporter   ~0005132

@PhyllisSmith

32bits I appreciate that it still maintains the support.
Now as I see there are 2 versions of 32bits Oldstable and stable.

Debian bullseye 32bits 5.10.0-8-686
Many OpenEXR and VA-API libraries changed.

LibOpenEXR ❌
https://packages.debian.org/search?keywords=openexr
Libva-dev ❌
https://packages.debian.org/search?keywords=libva-dev

Ubuntu stopped supporting 32-bit since 18.04 LTS.

LibOpenEXR✅
https://packages.ubuntu.com/bionic/libs/libopenexr22

Libva-dev ❌
https://packages.ubuntu.com/search?keywords=libva-dev

I use Bodhi Linux for my tests, it is too light and everything is configured to use already.

Bodhi Linux 5.1 (Ubuntu-based) 18.04 LTS legacy
https://www.bodhilinux.com/download/
chmod a+x ./cinggi386.AppImage

LibOpenEXR no problem

libva1 does not exist now is libva 2 in ubuntu 18.04

error while loading shared libraries: libva.so.1: cannot open shared object file: error 40

Bodhi Linux 6.0 (Debian-based) Beta
https://bodhilinux.boards.net/thread/709/bodhi-legacy-released-debian-bullseye

error while loading shared libraries: libIlmImf-2_2.so.22: cannot open shared object file: No such file or directory

I suspect if OpenEXR is fixed, then it will be Libva1 but Debian bullseye already uses libva2
PhyllisSmith

PhyllisSmith

2021-11-04 04:17

manager   ~0005131

@Andrew-R
It seems like the only real solution is for users to build on their own computers.

I specifically downloaded the 32-bit linuxdeploy and not the 86_64 linuxdeploy which won't even work on 32-bit computers. The bld/bld_appimage.sh in GIT is the base usage shell that was important to make sure was saved for others. I use a modified script that is relevant to my directories, etc.

When I use linuxdeploy, it creates appimage.log which includes the word "Success" at the bottom and this is also printed on the screen.

I will try some of your suggestions tomorrow, but the problem is that I can not create the issues that @sparkillay has so will never know if it fixes anything. When I build on the 32-bit Debian system, I bring up CinGG and loaded a video with no problem; then created the appimage and loaded the video with no problem. It is possible that the 32-bit system I use was an early version of Debian but I am pretty sure it was the one used before and the only other 32-bit system I have is Ubuntu 14 which is an i686 and very difficult for usage because it was only marginally set up. Also, it is a lower kernel level so I can not even use it to test the debian 32-bit image.
Andrew-R

Andrew-R

2021-11-03 04:55

reporter   ~0005129

@PhyllisSmith, If 32-bit build uses blds/bld_appimage.sh may be double-check linuxdeploy-x86_64.AppImage is correct command for 32-bit linuxdeploy, if not - may be we can add some architecture detection into this script...
Andrew-R

Andrew-R

2021-11-03 04:50

reporter   ~0005128

@PhyllisSmith, I think you better to double-check what linuxdeploy command copy, I hope it have some verbose mode?

according to source it should have 'verbosity'
https://github.com/linuxdeploy/linuxdeploy/blob/master/src/main.cpp

try latest git of this system on 32-bit build/packaging machine?

try ldd on just-built cin (on build host) to see dynamically linked libs?

Try to remove openexr-dev from 32-bit build machine, and see if Cin correctly builds and embeds static version of library from thirdparty directory?

Not sure if you can pack hw accel-related libraries into appimage? May be try to disable vaapi temporarily via configure switch?

see possible similar err and discussion?

https://github.com/knapsu/plex-media-player-appimage/issues/19
sparkillay

sparkillay

2021-11-03 02:26

reporter   ~0005127

@PhyllisSmith
same mistake

error while loading shared libraries: libva.so.1: cannot open shared object file: error 40

 https://cinelerra-gg.org/download/testing/cin_for_32bit.AppImage

@PhyllisSmith
@Andrea_Paz
try debian bullseye of Bodhi Linux 32bits beta2 https://bodhilinux.boards.net/thread/709/bodhi-legacy-released-debian-bullseye
same mistake

error while loading shared libraries: libIlmImf-2_2.so.22: cannot open shared object file: No such file or directory
PhyllisSmith

PhyllisSmith

2021-11-03 01:04

manager   ~0005126

@sparkillay
Thanks for the update -- you never know these days and I learned a lot today too.
It is interesting that the link your provided also talks about vdpau. I still wonder if the new testing AppImage would work anyway.
sparkillay

sparkillay

2021-11-03 00:55

reporter   ~0005125

@PhyllisSmith
After researching all day the problem is Ubuntu 18.04.
ubuntu change libva1 to libva2

https://steamcommunity.com/groups/homestream/discussions/0/3288067088120423458/

Possibly if I use debian 9.1 it will work for me.
make symbolic links lose hardware acceleration so the videos fail.
PhyllisSmith

PhyllisSmith

2021-11-03 00:02

manager   ~0005124

@sparkillay
In checking the Debian 9.1 - 32bit that I did the AppImage build on, it had:
   /usr/lib/i386-linux-gnu/libva.so.1
so you should not have had to make any symbolic links according to AppImage documentation because that is the point of using the oldest Operating System so that it works on all the later ones. So that is confusing.

However, I created a new AppImage using the 2 "export" commands. So if you could try that at your convenience and let us know the results. I loaded an mp4 video containing audio on the computer where I created the 32-bit AppImage without any problems and it played just fine. File is at:
     https://cinelerra-gg.org/download/testing/cin_for_32bit.AppImage
Andrew-R

Andrew-R

2021-11-02 21:32

reporter   ~0005123

from my dim memory just installed slackware 14.2 had no vdpau enabled in mesa.. I always build my own mesa/kernel so this was not a showstopper for me..

I guess first line disables some assembly optimizations... somewhere?
sparkillay

sparkillay

2021-11-02 19:20

reporter   ~0005122

@PhyllisSmith
The problem started with this.

error while loading shared libraries: libva.so.1: cannot open shared object file: error 40


Doing this to make it work felt good for a moment.

ln -s libva.so.2 libva.so.1
ln -s libva-drm.so.2.0.0 libva-drm.so.1
ln -s libva-x11.so.2.0.0 libva-x11.so.1
PhyllisSmith

PhyllisSmith

2021-11-02 19:12

manager   ~0005121

The reason I noted this because in the dmp that was attached to this BT, I noticed vdpau being referenced and was concerned as to why. But I do not remember why these extra export lines are needed.
PhyllisSmith

PhyllisSmith

2021-11-02 19:11

manager   ~0005120

@sparkillay
@Andrew-R
I wonder if I am making a mistake creating the AppImage on Debian 32-bit because I just read the manual and saw this which I have NOT BEEN DOING:

Note for 32-bit 14.2 Slackware, Debian, Gentoo, Arch, FreeBSD, before running the configure, you will need to set up the following:

  export ac_cv_header_xmmintrin_h=no
  export FFMPEG_EXTRA_CFG=" --disable-vdpau"

I will test this but it will take me quite a bit of time to do so.
Andrew-R

Andrew-R

2021-11-02 18:00

reporter   ~0005119

@sparkillay, top of this gdb trace looks like one I got in
https://www.cinelerra-gg.org/bugtracker/view.php?id=587

still no idea why it fails (
sparkillay

sparkillay

2021-11-02 17:30

reporter   ~0005118

@Andrew-R
i used dbg and got this.

gdb cini386 default

  @PhyllisSmith
Thank you very much but I am still testing.
this is a version of ubuntu 4.9.0-6-686 kernel

gdb Cini386 default (4,529 bytes)
[email protected]:~/Descargas$ gdb CinGG-20211031-i386.AppImage
GNU gdb (Ubuntu 8.1.1-0ubuntu1) 8.1.1
Copyright (C) 2018 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i686-linux-gnu".
Type "show configuration" for configuration details.
Para las instrucciones de informe de errores, vea:
<http://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
<http://www.gnu.org/software/gdb/documentation/>.
For help, type "help".
Type "apropos word" to search for commands related to "word"...
Leyendo símbolos desde CinGG-20211031-i386.AppImage...(no se encontraron símbolos de depuración)hecho.
(gdb) run
Starting program: /home/sparkill/Descargas/CinGG-20211031-i386.AppImage
[Depuración de hilo usando libthread_db enabled]
Using host libthread_db library "/lib/i386-linux-gnu/libthread_db.so.1".
process 9106 is executing new program: /tmp/.mount_CinGG-j5e1AJ/usr/bin/cin
[Depuración de hilo usando libthread_db enabled]
Using host libthread_db library "/lib/i386-linux-gnu/libthread_db.so.1".
Cinelerra Infinity - built: Oct 31 2021 13:21:26
git://git.cinelerra-gg.org/goodguy/cinelerra.git
(c) 2006-2019 Heroine Virtual Ltd. by Adam Williams
2007-2020 mods for Cinelerra-GG by W.P.Morrow aka goodguy
Cinelerra is free software, covered by the GNU General Public License,
and you are welcome to change it and/or distribute copies of it under
certain conditions. There is absolutely no warranty for Cinelerra.

aviso: Error reading shared library list entry at 0xfffffb40
aviso: Error reading shared library list entry at 0xffffbd80
aviso: Error reading shared library list entry at 0x6400
aviso: Error reading shared library list entry at 0x6a50
[Nuevo Thread 0xace49b40 (LWP 9115)]
aviso: Error reading shared library list entry at 0xffffd350
[Nuevo Thread 0xac399b40 (LWP 9116)]
aviso: Error reading shared library list entry at 0xffffeb40
[Nuevo Thread 0xab1c8b40 (LWP 9120)]
[Nuevo Thread 0xaa9c7b40 (LWP 9121)]
[Nuevo Thread 0xaa1c6b40 (LWP 9122)]
[Nuevo Thread 0xa99c5b40 (LWP 9123)]
[Nuevo Thread 0xa91c4b40 (LWP 9124)]
[Nuevo Thread 0xa89c3b40 (LWP 9125)]
[Nuevo Thread 0xa7dffb40 (LWP 9126)]
[Nuevo Thread 0xa75feb40 (LWP 9127)]
[Nuevo Thread 0xa6dfdb40 (LWP 9128)]
[Nuevo Thread 0xa65fcb40 (LWP 9129)]
[Nuevo Thread 0xa5dfbb40 (LWP 9130)]
[Nuevo Thread 0xa55fab40 (LWP 9131)]
[Nuevo Thread 0xa4df9b40 (LWP 9132)]
[Nuevo Thread 0xa45f8b40 (LWP 9133)]
[Nuevo Thread 0xa3df7b40 (LWP 9134)]
[Nuevo Thread 0xa35f6b40 (LWP 9135)]
[Nuevo Thread 0xa2df5b40 (LWP 9136)]
[Nuevo Thread 0xa25f4b40 (LWP 9137)]
[Nuevo Thread 0xa1df3b40 (LWP 9138)]
[Nuevo Thread 0xa15f2b40 (LWP 9139)]
[Nuevo Thread 0xa0df1b40 (LWP 9140)]
[Nuevo Thread 0xa05f0b40 (LWP 9141)]
[Nuevo Thread 0x9fdefb40 (LWP 9142)]
[Nuevo Thread 0x9f5eeb40 (LWP 9143)]
[Thread 0xac399b40 (LWP 9116) terminado]
[Nuevo Thread 0xac399b40 (LWP 9145)]
[Nuevo Thread 0x9ededb40 (LWP 9146)]
[Nuevo Thread 0x9e5ecb40 (LWP 9147)]
[Nuevo Thread 0x9ddebb40 (LWP 9148)]
[Nuevo Thread 0x9d5eab40 (LWP 9149)]
[Nuevo Thread 0x9cde9b40 (LWP 9150)]
[Nuevo Thread 0x9c5e8b40 (LWP 9151)]
[Nuevo Thread 0x9bde7b40 (LWP 9152)]
[Nuevo Thread 0x9b5e6b40 (LWP 9153)]
[Nuevo Thread 0x9ade5b40 (LWP 9154)]
[Nuevo Thread 0x9a5e4b40 (LWP 9155)]
[Nuevo Thread 0x99de3b40 (LWP 9156)]
[Nuevo Thread 0x995e2b40 (LWP 9157)]
[Nuevo Thread 0x98de1b40 (LWP 9158)]
[Nuevo Thread 0x985e0b40 (LWP 9159)]
[Nuevo Thread 0x97ddfb40 (LWP 9160)]
[Nuevo Thread 0x973ffb40 (LWP 9161)]
[Nuevo Thread 0x969ffb40 (LWP 9162)]
[Nuevo Thread 0x961feb40 (LWP 9163)]
[Thread 0x969ffb40 (LWP 9162) terminado]
[Thread 0x961feb40 (LWP 9163) terminado]
[Nuevo Thread 0x961feb40 (LWP 9164)]
[Nuevo Thread 0x969ffb40 (LWP 9165)]
[Thread 0x969ffb40 (LWP 9165) terminado]
[Thread 0x961feb40 (LWP 9164) terminado]
[Nuevo Thread 0x961feb40 (LWP 9166)]
[Nuevo Thread 0x969ffb40 (LWP 9167)]
[Thread 0x969ffb40 (LWP 9167) terminado]
[Thread 0x973ffb40 (LWP 9161) terminado]
[Thread 0x961feb40 (LWP 9166) terminado]
[Thread 0x97ddfb40 (LWP 9160) terminado]
[Nuevo Thread 0x961feb40 (LWP 9168)]
[Nuevo Thread 0x97ddfb40 (LWP 9169)]

Thread 28 "AppRun" received signal SIGSEGV, Segmentation fault.
[Cambiando a Thread 0xac399b40 (LWP 9145)]
0x00d2974a in BC_Xfer::xfer_rgb888_to_bgr8888(unsigned int, unsigned int) ()
(gdb)
gdb Cini386 default (4,529 bytes)
PhyllisSmith

PhyllisSmith

2021-11-02 15:59

manager   ~0005117

@sparkillay
What is your linux kernel version when you keyin: uname -r ?
The 32-bit AppImage is kernel version 4.9 (I used Debian 9.1 32 bit to generate AppImage).
If I have a 32-bit O/S with a kernel version the same as what you report, I can use that to create a new AppImage and see if that works for yout.
Andrew-R

Andrew-R

2021-11-02 14:59

reporter   ~0005116

@sparkillay,
I looked into dmp file and it seems to die somwhere in r300_dri?

can you also install gdb and try 'normal' player like mplayer/mpv set to vdpau output?

Also, it might be another manifestation of bug I faced recently with non-ssse3-capable cpu (i can't see ssse3 in cpu flags in this dump)
Andrea_Paz

Andrea_Paz

2021-11-02 13:21

manager   ~0005115

In my Debian 32-bit virtual machine:

October's appimage:

$ ./CinGG-20211031-i386.AppImage
./CinGG-20211031-i386.AppImage: error while loading shared libraries: libIlmImf-2_2.so.22: cannot open shared object file: No such file or directory

September's appimage:

$ ./CinGG-20210930-i386.AppImage
./CinGG-20210930-i386.AppImage: error while loading shared libraries: libIlmImf-2_2.so.22: cannot open shared object file: No such file or directory
sparkillay

sparkillay

2021-11-02 12:42

reporter  

cinelerra_5125.dmp (51,912 bytes)

Issue History

Date Modified Username Field Change
2021-11-02 12:42 sparkillay New Issue
2021-11-02 12:42 sparkillay Tag Attached: Load Files
2021-11-02 12:42 sparkillay File Added: cinelerra_5125.dmp
2021-11-02 13:21 Andrea_Paz Note Added: 0005115
2021-11-02 14:59 Andrew-R Note Added: 0005116
2021-11-02 15:59 PhyllisSmith Note Added: 0005117
2021-11-02 17:30 sparkillay File Added: gdb Cini386 default
2021-11-02 17:30 sparkillay Note Added: 0005118
2021-11-02 18:00 Andrew-R Note Added: 0005119
2021-11-02 19:11 PhyllisSmith Note Added: 0005120
2021-11-02 19:12 PhyllisSmith Assigned To => PhyllisSmith
2021-11-02 19:12 PhyllisSmith Status new => acknowledged
2021-11-02 19:12 PhyllisSmith Note Added: 0005121
2021-11-02 19:20 sparkillay Note Added: 0005122
2021-11-02 21:32 Andrew-R Note Added: 0005123
2021-11-03 00:02 PhyllisSmith Note Added: 0005124
2021-11-03 00:55 sparkillay Note Added: 0005125
2021-11-03 01:04 PhyllisSmith Note Added: 0005126
2021-11-03 02:26 sparkillay Note Added: 0005127
2021-11-03 04:50 Andrew-R Note Added: 0005128
2021-11-03 04:55 Andrew-R Note Added: 0005129
2021-11-04 04:17 PhyllisSmith Note Added: 0005131
2021-11-04 14:46 sparkillay Note Added: 0005132
2021-11-04 22:25 PhyllisSmith Note Added: 0005133
2021-11-05 02:02 sparkillay File Added: gdb
2021-11-05 02:02 sparkillay File Added: cinelerra_12989.dmp
2021-11-05 02:02 sparkillay File Added: LD_DEBUG
2021-11-05 02:02 sparkillay Note Added: 0005134
2021-11-05 05:05 Andrew-R Note Added: 0005135
2021-11-05 18:02 Andrew-R Note Added: 0005136
2021-11-05 18:11 PhyllisSmith Note Added: 0005137
2021-11-05 18:48 sparkillay File Added: Video_work
2021-11-05 18:48 sparkillay File Added: Videos fail crash cinelerra
2021-11-05 18:48 sparkillay Note Added: 0005138
2021-11-05 22:58 PhyllisSmith Note Added: 0005139
2021-11-05 23:38 Andrew-R Note Added: 0005140
2021-11-05 23:43 Andrew-R Note Added: 0005141
2021-11-06 03:14 sparkillay File Added: Screen_video_fail.mp4
2021-11-06 03:14 sparkillay File Added: simplescreenrecorder-2021-11-05_22.10.34.mp4
2021-11-06 03:14 sparkillay Note Added: 0005142
2021-11-06 03:27 sparkillay Note Added: 0005143
2021-11-06 03:50 sparkillay Note Added: 0005144
2021-11-06 04:37 Andrew-R Note Added: 0005145
2021-11-06 15:04 sparkillay Note Added: 0005146
2021-11-08 19:58 sparkillay Note Added: 0005152
2021-11-08 20:24 PhyllisSmith Note Added: 0005153
2021-11-08 21:09 sparkillay Note Added: 0005154
2021-11-08 21:25 Andrew-R Note Added: 0005155
2021-11-08 21:25 sparkillay File Added: gdb bt full
2021-11-08 21:25 sparkillay Note Added: 0005156
2021-11-08 21:46 Andrew-R Note Added: 0005157
2021-11-08 23:43 PhyllisSmith Note Added: 0005158
2021-11-09 01:02 Andrew-R Note Added: 0005159
2021-11-09 01:44 sparkillay Note Added: 0005160
2021-11-09 22:34 PhyllisSmith Note Added: 0005162
2021-11-15 22:02 PhyllisSmith Note Added: 0005184
2021-11-15 23:46 Andrew-R Note Added: 0005185
2021-11-15 23:51 Andrew-R Note Added: 0005186
2021-11-17 04:14 sparkillay Note Added: 0005190
2021-12-01 01:32 PhyllisSmith Note Added: 0005192